# Uses of Enum Class
javafx.scene.image.PixelFormat.Type

Packages that use PixelFormat.Type
Package
Description
javafx.scene.image
Provides the set of classes for loading and displaying images.

## Uses of PixelFormat.Type in javafx.scene.image

Methods in javafx.scene.image that return PixelFormat.Type
Modifier and Type
Method
Description
`PixelFormat.Type`
PixelFormat.`getType()`
Returns the enum representing the storage format of the pixels managed by this `PixelFormat` object.
`static PixelFormat.Type`
PixelFormat.Type.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PixelFormat.Type[]`
PixelFormat.Type.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.